(defun c:T () (setq d (getdist "Durchm. Hauptrohr: ")) (setq e (getdist "Durchm. Einzapfung: ")) (setq w (getreal "Einmndungswinkel: ")) (setq a (getdist "Achsenabstand: ")) (setq l (getdist "L„nge d. Einzapfung: ")) (setq z (getint "Teilung in Grad: ")) (setq anz (/ 360 z)) (setq w1 (* w 0.01745329252)) (setq z1 (* z 0.01745329252)) (setq q1 (- 0 z1)) (repeat anz (setq q1 (+ q1 z1)) (setq q2 (+ q1 z1)) (setq r (* (/ e 2 ) (sin q1))) (setq s (* (/ e 2 ) (cos q1))) (setq t (sqrt (- (expt (/ d 2) 2) (expt (- a r) 2)))) (setq u (/ t (cos w1))) (setq hilfe (- 1.570796 w1)) (setq hilfe (/ (sin hilfe) (cos hilfe))) (setq v (/ s hilfe)) (setq y (- u v)) (setq b1 (- l y)) (setq umf1 (* e q1)) (setq umf1 (/ umf1 2)) (setq r (* (/ e 2) (sin q2))) (setq s (* (/ e 2) (cos q2))) (setq t (sqrt (- (expt (/ d 2) 2) (expt (- a r) 2)))) (setq u (/ t (cos w1))) (setq hilfe (- 1.570796 w1)) (setq hilfe (/ (sin hilfe) (cos hilfe))) (setq v (/ s hilfe)) (setq y (- u v)) (setq b2 (- l y)) (setq umf2 (* e q2)) (setq umf2 (/ umf2 2)) (setq pt1 (list umf1 0)) (setq pt2 (list umf1 b1)) (setq pt3 (list umf2 0)) (setq pt4 (list umf2 b2)) (command "linie" pt1 pt2 pt4 pt3 "s") ) (command "zoom" "g") )